using System.Xml.Serialization;

namespace NewRock.Sdk.Control.Response
{
    [XmlRoot("Status")]
    public class AssginConfigExtResponse : NewRockResponse
    {
        [XmlElement("ext")]
        public ConfigExtResponse Ext { get; set; }
    }

    public class ConfigExtResponse
    {
        /// <summary>
        /// 话机号
        /// </summary>
        [XmlAttribute("id")]
        public string AId { get; set; }

        [XmlElement("id")]
        public string EId { get; set; }
        
        [XmlElement("staffid")]
        public string Staffid { get; set; }

        [XmlElement("mobile")]
        public string Mobile { get; set; }

        [XmlElement("group")]
        public List<ExtGroupResponse> Groups { get; set; }

        [XmlElement("voicefile")]
        public string VoiceFile { get; set; }

        [XmlElement("email")]
        public string Email { get; set; }

        [XmlElement("Call_Restriction")]
        public string Call_Restriction { get; set; }

        [XmlElement("Call_Pickup")]
        public string Call_Pickup { get; set; }

        [XmlElement("No_Disturb")]
        public string No_Disturb { get; set; }

        [XmlElement("Fwd_Type")]
        public string Fwd_Type { get; set; }

        [XmlElement("Fwd_Number")]
        public string Fwd_Number { get; set; }
        
        [XmlElement("Fork")]
        public string Fork { get; set; }

        [XmlElement("Off_Line_Num")]
        public string Off_Line_Num { get; set; }

        [XmlElement("WAKEUP")]
        public string WAKEUP { get; set; }

        [XmlElement("record")]
        public string Record { get; set; }

        [XmlElement("autoAnswer")]
        public string AutoAnswer { get; set; }

        [XmlElement("api")]
        public string Api { get; set; }
    }

    public class ExtGroupResponse
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
        
    }

}
